/** 
 * Dates, with JUnit 3.8. test cases
 *
 * The parsing of date strings is a case analysis; many different countries have different
 * date formats, so every country in which the software shall be sold, generates
 * a case (internationalization). In big Enterprise Software frameworks, dates
 * are big classes with a lot of code!
 */

import java.lang.*;  // Integer
import java.util.*;
import java.util.zip.DataFormatException;

// JUnit 3.8.X; be careful, it should be listed in the CLASSPATH environment variable
import junit.framework.*;

public class TestEnglishDates extends TestCase {
    // Fixture
    protected DateD date;
    protected DateD date2;
    protected DateD date3;
    protected int result;
    
    public TestEnglishDates(String s) { super(s); }
    protected void setUp ()  {
	date = new DateD();
	date2 = new DateD();
	date3 = new DateD();
    }

    public void testEnglish() {
	try {
	    result = date.parseDate("12/31/2015"); 
	    System.out.println("Date parsed: Day/Month/Year:"+date.day+":"+date.month+":"+date.year);
	} catch (DataFormatException ex) {
	    System.out.println("TestEnglishDates failed on "+ex.toString());
	}
    }
    // no tear down necessary
}

